Skip to main content
`Ctrl`+`K`

# numpy.isdtype

numpy.isdtype(dtype, kind)

  Determine if a provided dtype is of a specified data type `kind`.

  This function only supports built-in NumPy’s data types. Third-party dtypes are not yet supported.

  Parameters:
    dtype dtype

      The input dtype.

    kind dtype or str or tuple of dtypes/strs.

      dtype or dtype kind. Allowed dtype kinds are: * `'bool'` : boolean kind * `'signed integer'` : signed integer data types * `'unsigned integer'` : unsigned integer data types * `'integral'` : integer data types * `'real floating'` : real-valued floating-point data types * `'complex floating'` : complex floating-point data types * `'numeric'` : numeric data types

  Returns:
    out bool

  See also

  `issubdtype`

  Examples

      >>> import numpy as np
      >>> np.isdtype(np.float32, np.float64)
      False
      >>> np.isdtype(np.float32, "real floating")
      True
      >>> np.isdtype(np.complex128, ("real floating", "complex floating"))
      True